package gui;

import units.HouseholdCluster;

public class ClusterNode extends Node {
	// here cluster is the node 
	private HouseholdCluster cluster;  
		
	public ClusterNode() {
		super();
	}
		
	public ClusterNode(HouseholdCluster _cluster) {
		setCluster(_cluster);
	}

	public ClusterNode(int x, int y, HouseholdCluster _cluster, int maxDegree, double initEdgeStrength) {
		setCluster(_cluster);
	    init(x, y);
	    this.maxDegree = maxDegree;
	    this.initEdgeStrength = initEdgeStrength;
	}

	public HouseholdCluster getCluster() {
		return cluster;
	}

	public void setCluster(HouseholdCluster cluster) {
		this.cluster = cluster;
	}
	    
}
