package gui;

import uchicago.src.sim.gui.OvalNetworkItem;
import units.Household;

public class HouseholdNode extends Node {
	
	//here household is the node 
	private Household household; 
	
	public HouseholdNode() {
		super();
	}
	
    public HouseholdNode(Household _house) {
        setHouse(_house);
    }

    public HouseholdNode(int x, int y, Household _house,int maxDegree, double initEdgeStrength) {
        setHouse(_house);
        init(x, y);
        OvalNetworkItem rect = new OvalNetworkItem(x, y); //alternative OvalNetworkItem or RectNetworkItem
        setDrawable(rect);
        this.maxDegree = maxDegree;
        this.initEdgeStrength = initEdgeStrength;
    }
    
    public void setHouse(Household _household) {
    	this.household = _household;
    }
    
    public Household getHousehold() {
    	return this.household;
    }

	/**
	 * @param args
	 */
	public static void main(String[] args) {	
	}
}
