package org.cfpm.ruth.modifiedCloud;
/**
 * Title: Goods are those things that can be bought and sold at market
 * Description: just has places holders for recording amounts bought and sold
 * and transmitting this information between household and market
 * Copyright: Copyright (c) 2004
 * Company: University of Cambridge/SEI Oxford
 * @author Mike Bithell/Sulaina Bharwani
 * @version 1.0
 */
public class Goods {
  public float quantity, price,/*cash,*/bought,sold;  //#### changed type of cash from float to double
  double cash;
  int name;
  public FarmingHousehold owner;

  public Goods() {
  }

  /**
   *
   * @param h Household object
   * @param q quantity
   * @param p price
   * @param c cash
   * @param g name of good
   */
  public Goods(FarmingHousehold h, float q, float p,double c,int g) {
    owner = h;
    quantity = q;
    price = p;
    bought=0;sold=0;cash=c;name=g;
  }
}
