package org.cfpm.ruth.modifiedCloud;
/**
 *
 * Title: Define available types of weather
 * Description: WET DRY or NORMAL
 * Copyright: Copyright (c) 2004
 * Company: University of Cambridge/SEI Oxford
 * @author Mike Bithell/Sukaina Bharwani
 * @version 1.0
 */
public class Weather {

  public int raintype;
  public static final int WET=1;
  public static final int DRY=-1;
  public static final int NORMAL=0;

  public Weather() {
  }

  /** Set from climate class
   * @return raintype, where 0=normal, 1=wet and -1=dry. */
  public int getRaintype() {
    return raintype;
  }

  public void setRaintype(int r) {
    raintype = r;
}

  /**
   * checkValues
   * @param forecast int
   * @return int
   */
  public static int checkValues(int forecast) {
    if (forecast<Weather.DRY){
      forecast = Weather.DRY;
    }
    if (forecast>Weather.WET){
      forecast=Weather.WET;
    }
    return forecast;
  }
}
