package gui;

import units.Agent;

public class AgentNode extends Node {
	
	//here single individual (agent) is the node 
	private Agent agent; 
	
	public AgentNode() {
		super();
	}
	
    public AgentNode(Agent _agent) {
        setAgent(_agent);
    }

    public AgentNode(int x, int y, Agent _agent, int maxDegree, double initEdgeStrength) {
        setAgent(_agent);
        init(x, y);
        this.maxDegree = maxDegree;
        this.initEdgeStrength = initEdgeStrength;
    }
    
	public Agent getAgent() {
		return agent;
	}

	public void setAgent(Agent agent) {
		this.agent = agent;
	}
}