/** this class should be a correct implementation of the following: 
 * {right now it's garbage}
 * 
 * METHODS FOR MODELING THE HIV/AIDS EPIDEMIC
IN SUB-SAHARAN AFRICA
Joshua A. Salomon
Emmanuela E. Gakidou
Christopher J.L. Murray
GPE Discussion Paper Series: No. 3
EIP/GPE/EBD
 */
package hivaids;

import cern.jet.random.Gamma;
import cern.jet.random.engine.MersenneTwister;

/**roughly inspired on the report by Salomon and Gakidou ... for sub-saharan african region
* don't know for sure if it's the right adaptation or is it the right inspiration as well
*/

/**
 * TO DO: Plausible modelling of prevalence of HIV/AIDS
 * in Limpopo the prevalence rate for men is 9.5%, for women it's 13.5% 
 * also 1/40% of total population are children
 * 
 * time is modelled in years
 */

public class AidsSpread {	
//	private Model model;
	Gamma gamma = new Gamma(10, 2.5, new  MersenneTwister());
	
	public static final class GAMMA {
		public static final double ALPHA = 12;
		public static final double BETA = 1.25;
		public static final double THETA = 0.25;
	}
		
	public AidsSpread() {		
	}	
	
	public double returnIncidence() {	
		double gamma = Gamma.staticNextDouble(GAMMA.ALPHA, GAMMA.BETA);
		System.out.println("Incidence: " + Math.ceil(gamma/3));		
		return gamma;
	}	
	
	public double returnGamma(double tick) {
		double numerator = Math.pow(GAMMA.BETA, -GAMMA.ALPHA) * Math.pow(tick, GAMMA.ALPHA-1) * Math.exp(-tick/GAMMA.BETA);
		double denominator = cern.jet.stat.Gamma.gamma(GAMMA.ALPHA);
//		System.out.println("" + Math.ceil(10E2 * numerator/denominator));
//		return Math.ceil(10E2 * numerator/denominator);
		return (double) (numerator/denominator);
	}
	
	public double returnExtendedGamma(double tick) {
		double gamma = (double) returnGamma(tick);
		if (tick <= GAMMA.BETA * (GAMMA.ALPHA-1)) {
			return Math.ceil(10E2*gamma);
		}
		else {
			double firstComponent = gamma * (1-GAMMA.THETA);
			double secondComponent = returnGamma(GAMMA.BETA*GAMMA.ALPHA-1);
			secondComponent *= GAMMA.THETA;			
			return Math.ceil(10E2*(firstComponent + secondComponent));				
//			return Math.ceil(returnIncidence());
		}		
	}
	
	public static void main(String[] args) {
		AidsSpread p = new AidsSpread();
		for (int i = 0; i < 20; i++){
//			System.out.println("i: " + i);
			p.returnIncidence();		
//			System.out.println(" time: " + i + " gamma: " + Math.ceil(p.gamma.nextDouble()));
//			p.returnGamma(i);
//			System.out.println("i : " + i + " Gamma: " + p.returnExtendedGamma((double)i));
		}
	}
}
