package org.cfpm.ruth.modifiedCloud;

/**
 * Title: What happens at the gardeb
 * Description: Set the prices for buying and selling at the field
 * Copyright: Copyright (c) 2004
 * Company: University of Cambrdige/SEi Oxford
 * @author Mike Bithell/Sukaina Bharwani
 * @version 1.0
 */
import java.util.*;

public class rural  {
  public rural() {
  }
/**
 * Price in Rand per kg. Average farmers sell "in town" and
 * get higher prices than poorer farmers
 * selling directly from the garden.
 * Prices for both are boosted if under BN conditions.
 */

  /**
   * getPurchasePrice
   * @param cropName int
   * @return float
   */
  public static float getPurchasePrice(int cropName) {
    float price=0;
    switch (cropName) {
      case Crop.MAIZE:
        price= 1.75f;
        break;
      case Crop.BUTTERNUT:
        price=  0.87f;
        break;
      case Crop.CABBAGE:
        price=  2.0f;
    }
    return price;

  }

  /**
   * getSellingPrice
   * @param cropName int
   * @return float
   */
  public static float getSellingPrice(int cropName) {
    float price=0;
    switch (cropName) {
      case Crop.MAIZE:
        price= 1.75f;
        break;
      case Crop.BUTTERNUT:
        price=  0.87f;
        break;
      case Crop.CABBAGE:
        price=  2.0f;
    }
    return price;
  }
}
