package org.cfpm.ruth.modifiedCloud;

/**
 * Title: Provide town services
 * Description: Prices for crops grown differ in the town (compared to the country)
 * Copyright: Copyright (c) 2004
 * Company: University of Cambridge/SEI Oxford
 * @author Mike Bithell/Sukaina Bharwani
 * @version 1.0
 */
import java.util.*;

public class town{
  public town() {
  }

  /**
   * Price in Rand per kg. Average farmers sell "in town" and
   * get higher prices than poorer farmers
   * selling directly from the garden.
   * Prices for both are boosted if under BN conditions.
   */

  /**
   * getPurchasePrice
   * in principle buying and selling prices for the goods should
   * differ...
   * @param cropName int
   * @return float
   */
  public static float getPurchasePrice(int cropName) {
    float price=0;
    switch (cropName) {
      case Crop.MAIZE:
        price= 2.50f;
        break;
      case Crop.BUTTERNUT:
        price=  1.74f;
        break;
      case Crop.CABBAGE:
        price=  2.33f;

    }
    return price;
  }

  /**
   * getSellingPrice
   *
   * @param cropName int
   * @return float
   */
  public static float getSellingPrice(int cropName) {
    float price=0;
    switch (cropName) {
      case Crop.MAIZE:
        price= 2.50f;
        break;
      case Crop.BUTTERNUT:
        price=  1.74f;
        break;
      case Crop.CABBAGE:
        price=  2.33f;

    }
    return price;
  }

}
